import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
import { YConfig } from '../types/y-config';
/**
 * @internal
 */
export declare const Y_CONFIG: InjectionToken<YConfig | Observable<YConfig>>;
/**
 * Provides a Y_CONFIG token with the given configuration.
 *
 * ```ts
 * import { provideYConfig, YConfig } from 'angular-yandex-maps-v3';
 *
 * export const config: YConfig = {
 *   apikey: 'X-X-X',
 * };
 *
 * export const appConfig: ApplicationConfig = {
 *   providers: [provideZoneChangeDetection({ eventCoalescing: true }), provideYConfig(config)],
 * };
 * ```
 */
export declare const provideYConfig: (config: YConfig | Observable<YConfig>) => import("@angular/core").EnvironmentProviders;
